Get Started with Table Source API

Everything you need to know to get started with the Table Source API.

Get a Visier account

To use APIs, you must have a Visier account and authenticate. For more information about authenticating, see API Authentication.

In addition to an API profile, your API user must have a profile with the following capabilities:

  • Data (Write, API)

Generate your API key and authentication token

To make an API request, you will need an API key and an authentication token. For more information about how to get an API key and request an authentication token, see API Authentication.

Note: If using Postman to send requests, you can request a security token directly in the tool, see Use Postman to Call Visier APIs.

Choose your tool

To use Visier APIs, you need to choose a tool to make your first request. This can be Postman or whichever method you usually use to make HTTP requests. For more information about using Postman for your first request, see Use Postman to Call Visier APIs.

Put your data files in the right place

To send data files using the API, the data files must be in a location that your API application can access. If using Postman, the data files you want to upload must be in Postman's files folder on your local device. For more information, see "Working directory" in Setting up Postman.

Make your first request

To test that you have everything set up correctly, we'll make a request to the Retrieve table sources endpoint. For a complete list of available endpoints, see "Table Source" in API Reference.

Replace {vanity_name} with your tenant name. The API key is expected as a header, while the security token is expected as a cookie.

Tip:  

To find your vanity name:

  • Go to the global workspace in Studio, click Settings > Single Sign-On. Then, under Single Sign-On, find your service provider endpoint; for example, https://jupiter.visier.com/VServer/auth. In this example, jupiter is the vanity name.
Copy
cURL sample request: Retrieve table sources
curl -X GET --url 'https://{vanity_name}.api.visier.io/v1alpha/data/table-sources/tables' \
-H 'apikey:{api_key}' \
-H 'Cookie:VisierASIDToken={security_token}'

If everything was set up correctly and the request was successful, you should see a similar response to the following sample. If you have not created any table sources, the returned tables object is empty [].

Copy
Sample response
{
    "tables": [
        {
            "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
            "objectName": "employee_custom_data",
            "basicInformation": {
                "displayName": "Employee Custom Data",
                "description": "Stores supplemental employee attributes not available in the core HR system."
            },
            "columns": [
                { "name": "employee_id",    "dataType": "STRING",  "isPrimaryTimestamp": false },
                { "name": "badge_number",   "dataType": "STRING",  "isPrimaryTimestamp": false },
                { "name": "office_floor",   "dataType": "INTEGER", "isPrimaryTimestamp": false },
                { "name": "effective_date", "dataType": "DATE",    "isPrimaryTimestamp": true  }
            ],
            "canChildrenInherit": false,
            "canChildrenInheritData": false
        }
    ]
}

Next steps

Now that you've successfully authenticated and completed your first API request, you can call more Visier APIs!

To learn more: